@use '/src/mainColor' as *;

.light-mode {
  .tooltip {
    --back: #{mainColor(97%)};
    --shadow: 0 .5em 1em #{mainColor(85%, .5)};
    --border: 1px solid #{mainColor(90%)};
  }
}
.dark-mode {
  .tooltip {
    --back: #{mainColor(15%)};
    --shadow: 0 .5em 1em #{mainColor(10%, .5)};
    --border: 1px solid #{mainColor(10%)};
  }
}

.tooltip-parent {
  cursor: pointer;
  position: relative;
  --tooltip-opacity: 0;
  --tooltip-pointer-events: none;
  &.tooltip-up {
    --tooltip-y: -1.5em;
    --tooltip-top: auto;
    --tooltip-bottom: 0
  }
  &.tooltip-down {
    --tooltip-y: 1.5em;
    --tooltip-top: 0;
    --tooltip-bottom: auto
  }
  
  
  &:focus, &:focus-within {
    --tooltip-opacity: 1;
    --tooltip-pointer-events: all;
    &.tooltip-up {
      --tooltip-y: -2em;
    }
    &.tooltip-down {
      --tooltip-y: 2em;
    }
    }
}

.tooltip {
  cursor: auto;
  max-width: 95vw !important;
  position: absolute;
  left: 50%;
  top: var(--tooltip-top);
  bottom: var(--tooltip-bottom);
  padding: 1em;
  border-radius: 1em;
  background: var(--back);
  border: var(--border);
  box-shadow: var(--shadow);
  transform: translate(-50%, var(--tooltip-y));
  opacity: var(--tooltip-opacity);
  pointer-events: var(--tooltip-pointer-events);
  transition: opacity .5s var(--cubik), transform .5s var(--cubik);
}